package com.tmerclub.cloud.common.product.constant;

/**
 * @author xxw
 * @date 2022/8/5 17:13
 * 代销商品下架类型
 */
public enum CommissionSpuOffType {
    /**
     * 全部
     */
    ALL(0),

    /**
     * 供应商发货的代销商品
     */
    SUPPLIER_DELIVERY_SPU(1),

    /**
     * 商家自己发货的代销商品
     */
    SHOP_DELIVERY(2);

    private final Integer value;

    public Integer value() {
        return this.value;
    }

    CommissionSpuOffType(Integer value) {
        this.value = value;
    }
}
